# Directly Checking a Flag

You can use *$toggly* to check if a feature is ON or OFF programmatically, by simply injecting it in any component.

```javascript
export default {
  inject: ['$toggly'],
  ...
}
```

### Check if a feature is on

```javascript
await this.$toggly.isFeatureOn('firstFeature')
```

### Check if a feature is off

```javascript
await this.$toggly.isFeatureOff('secondFeature')
```

### Evaluate a feature gate (with requirement & negate support)

```javascript
await this.$toggly.evaluateFeatureGate(['firstFeature', 'secondFeature'], 'any', true)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toggly.io/feature-flags/feature-flags-in-vue.js/directly-checking-a-flag.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
